"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// @ts-ignore
const autostart_js_1 = require("../../autostart.js");
const child_process_1 = require("child_process");
const initialize = () => {
    autostart_js_1.autostart.forEach((row) => {
        const [workdir, command] = row;
        (0, child_process_1.exec)(command, { cwd: workdir }, (error, stdout, stderr) => {
            if (error) {
                console.error(`error: ${error.message}`);
                return;
            }
            if (stderr) {
                console.error(`stderr: ${stderr}`);
                return;
            }
            console.log(`stdout:\n${stdout}`);
        });
    });
};
const runnerService = {
    initialize
};
exports.default = runnerService;
